*** gnus-agent.el	Thu Aug 27 18:03:58 1998
--- /ichikawa/emacs-lisp/semi-gnus-ichikawa/lisp/gnus-agent.el	Thu Aug 27 21:30:54 1998
***************
*** 1,4 ****
! ;;; gnus-agent.el --- unplugged support for Gnus
  ;; Copyright (C) 1997,98 Free Software Foundation, Inc.
  
  ;; Author: Lars Magne Ingebrigtsen <larsi@gnus.org>
--- 1,4 ----
! ;;; gnus-agent.el --- unplugged support for Semi-gnus
  ;; Copyright (C) 1997,98 Free Software Foundation, Inc.
  
  ;; Author: Lars Magne Ingebrigtsen <larsi@gnus.org>
***************
*** 129,135 ****
    "Load FILE and do a `read' there."
    (nnheader-temp-write nil
      (ignore-errors
!       (insert-file-contents file)
        (goto-char (point-min))
        (read (current-buffer)))))
  
--- 129,135 ----
    "Load FILE and do a `read' there."
    (nnheader-temp-write nil
      (ignore-errors
!       (nnheader-insert-file-contents file)
        (goto-char (point-min))
        (read (current-buffer)))))
  
***************
*** 539,545 ****
        (gnus-make-directory (file-name-directory file))
        (nnheader-temp-write file
  	(when (file-exists-p file)
! 	  (insert-file-contents file))
  	(goto-char (point-min))
  	(if nntp-server-list-active-group
  	    (progn
--- 539,545 ----
        (gnus-make-directory (file-name-directory file))
        (nnheader-temp-write file
  	(when (file-exists-p file)
! 	  (nnheader-insert-file-contents file))
  	(goto-char (point-min))
  	(if nntp-server-list-active-group
  	    (progn
***************
*** 728,734 ****
  	(when (= (point-max) (point-min))
  	  (push (cons group (current-buffer)) gnus-agent-buffer-alist)
  	  (ignore-errors
! 	    (insert-file-contents
  	     (gnus-agent-article-name ".overview" group))))
  	(nnheader-find-nov-line (string-to-number (cdar crosses)))
  	(insert (string-to-number (cdar crosses)))
--- 728,734 ----
  	(when (= (point-max) (point-min))
  	  (push (cons group (current-buffer)) gnus-agent-buffer-alist)
  	  (ignore-errors
! 	    (nnheader-insert-file-contents
  	     (gnus-agent-article-name ".overview" group))))
  	(nnheader-find-nov-line (string-to-number (cdar crosses)))
  	(insert (string-to-number (cdar crosses)))
***************
*** 762,767 ****
--- 762,772 ----
  	  (set-buffer nntp-server-buffer)
  	  (unless (eq 'nov (gnus-retrieve-headers articles group))
  	    (nnvirtual-convert-headers))
+ 	  (goto-char (point-min))
+ 	  (while (not (eobp))
+ 	    (goto-char (point-at-eol))
+ 	    (insert "\t")
+ 	    (forward-line 1))
  	  ;; Save these headers for later processing.
  	  (copy-to-buffer gnus-agent-overview-buffer (point-min) (point-max))
  	  (let (file)
***************
*** 795,801 ****
    (goto-char (point-min))
    (set-buffer nntp-server-buffer)
    (erase-buffer)
!   (insert-file-contents file)
    (goto-char (point-max))
    (if (or (= (point-min) (point-max))
  	  (progn
--- 800,806 ----
    (goto-char (point-min))
    (set-buffer nntp-server-buffer)
    (erase-buffer)
!   (nnheader-insert-file-contents file)
    (goto-char (point-max))
    (if (or (= (point-min) (point-max))
  	  (progn
***************
*** 1302,1315 ****
  				  (cdr (assq 'dormant
  					     (gnus-info-marks info)))))
  		   nov-file (gnus-agent-article-name ".overview" group))
! 	     (gnus-agent-load-alist group)
  	     (gnus-message 5 "Expiring articles in %s" group)
  	     (set-buffer overview)
  	     (erase-buffer)
  	     (when (file-exists-p nov-file)
! 	       (insert-file-contents nov-file))
  	     (goto-char (point-min))
! 	     (setq article 0)
  	     (while (setq elem (pop articles))
  	       (setq article (car elem))
  	       (when (or (null low)
--- 1307,1320 ----
  				  (cdr (assq 'dormant
  					     (gnus-info-marks info)))))
  		   nov-file (gnus-agent-article-name ".overview" group))
!  	     (gnus-agent-load-alist group)
  	     (gnus-message 5 "Expiring articles in %s" group)
  	     (set-buffer overview)
  	     (erase-buffer)
  	     (when (file-exists-p nov-file)
! 	       (nnheader-insert-file-contents nov-file))
  	     (goto-char (point-min))
!  	     (setq article 0)
  	     (while (setq elem (pop articles))
  	       (setq article (car elem))
  	       (when (or (null low)
